@import "variables";
$cardwidth: 28em;
@mixin item($color, $width) {
  border: 1pt solid $color;
  border-radius: 2px;
  // max-width: ;
  width: $width;
  border-top: 0.5em solid $color;
  // margin-bottom: 0.5em;
  margin: 0.5em;
  // &:last-child {
  //     margin-bottom: 0;
  // }
}

#container {
  width: 97vw;
}

.table {
  background-color: $section-color;
  @extend .lighter-box-shadow;
  margin-left: 0.5em;
  width: 83%;
}
//

.series {
  display: flex;
  flex-direction: column;
}

@mixin title($bg-color) {

  background-color: $bg-color;
  color: white;
  display: none;
  div:hover > & {
    display: block
  }
}

div .series_title {
  background-color: $series-color;
  color: white;
  display: block;
  font-size: 16pt;
  padding: 0.5em;
  text-align: left;
  // width:100%;
}
.series_title .series_id{
  @include title($series-color);
  margin-top: -0.5em;
}
.biosample_title{
  @include title($series-color);
  margin-top: -0.5em;
}
.biosample_title{
  @include title($biosample-color);
  margin-top: -0.5em;
}
.appliedAssay_title{
  @include title($appliedAssay-color);
  margin-top: -0.5em;
}
.sequencing_title{
  @include title($sequencing-color);
  margin-top: -0.5em;
}
.biosamples{
  // column-width: 28em;
  // column-gap: 0.5em;
  // margin-bottom: 1em;
  // display: flex;
  // flex-direction: row;
  // flex-wrap: wrap;
}
// .biosample:hover > .biosample_title {
//   display: block;
// }
.card {
  // align-items: center;
  display: inline-flex;
  flex-direction: column;
  flex-wrap: wrap;
  justify-content: flex-start;
  margin: 1em;
  border-radius: 3px;
  // padding-left: 0.2em;
  // padding-right: 0.2em;
  margin-bottom: 1.2em;
  width: $cardwidth;
  word-break: normal;
  // @extend .light-box-shadow;
  // height: 100%;
  & span {
    overflow-wrap: normal;
    padding: 0.1em;
  }
}
//

.button_row {
  align-items: center;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
}

.data_list {
  height: calc(100vh - 12em);
  margin-bottom: auto;

  & li {
    word-break: break-all;
  }

  & .close {
    margin-left: -0.75em;
    margin-top: -0.6em;
  }
}

.biosample {
  @include item($biosample-color, auto);
  text-align: left;
}

.appliedAssay {
  @include item($appliedAssay-color, #{($cardwidth - 2em)});
}

.sequencing {
  @include item($sequencing-color, #{($cardwidth - 3em)});
}

.data {
  text-align: center;
  background-color: $data-color;
  color: white;
  // cursor: pointer;
  padding-top: 0.5em;
  white-space: normal;
  word-break: break-all;
  // margin-left: 0.5em;
  // margin-right: 0.5em;
  width: 100%;

  &:hover {
    color: white;
    text-decoration: underline;
    background-color: lighten($data-color,3%);
  }
}

.data-dropdown {
  width: 100%;
  background-color: $data-color;
  color: white;
  // cursor: pointer;
  border-radius: 0;
  // margin-left: 0.5em;
  // margin-right: 0.5em;
  &:hover {
    text-decoration: underline;
    background-color: lighten($data-color,3%);
  }
}

.file_name {
  padding-left: 0.25em;
  padding-right: 0.25em;
}

.search-input {
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
  height: 52px;
  margin-bottom: 0.5em;
  margin-right: 0.5em;
  padding: 10px;
  position: relative;
  width: 100%;
}

.search-input::before {
  content: "\f002";
  display: block;
  font-family: 'Font Awesome 5 Free';
  font-size: 20px;
  font-weight: 900;
  height: 13px;
  left: 16px;
  line-height: 32px;
  opacity: 0.6;
  position: absolute;
  top: 11px;
  width: 15px;
  z-index: 3;
}

.search-input > input {
  // border: 1pt solid $section-color;
  border: none;
  font-size: 18px;
  height: 32px;
  line-height: 22px;
  padding: 5px 30px 5px 35px;
  position: relative;
  // width: 90%;
}

.search-input > input:focus {
  outline: none;
}

.header {
  font-weight: bold;
}

span.bar {
  animation-duration: 0.2s;
  animation-name: stretch-bar;
  background-color: $bar-color;
  bottom: 0;
  display: inline-block;
  left: 0;
  position: absolute;
  top: 0;
  transition: width 0.2s;
  z-index: -1;
}

.facetList li {
  border-radius: 5px;
  // font-size: 1rem;
  line-height: 1;
  margin-bottom: 1px;
  padding: 3px;
  position: relative;
}

.facetList {
  padding-left: 0.5em;
  padding-right: 0.5em;
}

.facet {
  // padding-bottom: 7px;
  // margin-bottom: 7px;
  // border-bottom: 1px solid #eee;
  overflow: hidden;
}

.selected {
  background-color: $select_stroke-color;
  &:hover{
    background-color: $select_stroke-color;
  }
  // border:
  // color: ;

}

.sideBar {
  max-width: 20em;
  min-width: 12em;
  width: 9%;
}

.fileTable {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  width: 100%;
}

ul {
  list-style: none;
  padding-left: 0.5em;
}
// .btn-outline {
//   margin-top: auto;
//   margin-bottom: 1em;
// }

@mixin headerTitle($color) {
  color: white;
  font-weight: 600;
  margin-bottom: 0;
  margin-top: 0;
  padding: 0.25em;
  background: $color;
  &:hover{
    background: lighten($color,5)
  }
}

.seriesHeaderTitle {
  @include headerTitle($series-color);
}

.biosampleHeaderTitle {
  @include headerTitle($biosample-color);
}

.assayHeaderTitle {
  @include headerTitle($assay-color);
}

.sequencingHeaderTitle {
  @include headerTitle($sequencing-color);
}

.dataHeaderTitle {
  @include headerTitle($data-color);
}

.description {
  padding: 0.2em;
  word-break: normal;
}

.biosampleText{
  max-width: 2*$cardwidth;
}
.Collapsible__trigger {
  border: 1px solid white;
  display: block;
  // font-weight: 400;
  padding: 10px;
  position: relative;
  text-decoration: none;
  // cursor: pointer;
}

.sequencing .Collapsible__trigger{
  // cursor: pointer;
  border:0;
  color: white;
  height: 3em;
  background-color: $data-color;
  width: 100%;
  text-align: center;
  padding:10px;
  &:hover{
    background-color: lighten($data-color,3%);
  }
}
.sequencing .Collapsible__contentOuter {
  word-break: break-all;
}

.Collapsible__trigger:after {
  content: '\f077';
  display: block;
  font-family: 'Font Awesome 5 Free';
  font-weight: 900;
  position: absolute;
  right: 10px;
  top: 10px;
  transition: transform 300ms linear;
}

.Collapsible__trigger.is-open:after {
  transform: rotateZ(180deg);
}

div.card-header > .fa {
  transform: rotate(0deg);
  transition: transform 300ms linear;
}

div.card-header.collapsed > .fa {
  transform: rotate(-90deg);
  transition: transform 300ms linear;
}

span.moreLess {
  color: $cell_border-color_inactive;
  cursor: default;
  float: right;
  text-decoration: underline;
  &:hover{
    color: black;
  }
}
//
// .btn-default.active,
// .btn-default.focus,
// .btn-default:active,
// .btn-default:active:focus,
// .btn-default:focus {
//   background-color: lighten($primary-color,5);
//   border-color: lighten($primary-color,5);
//   color: white;
// }

.selectedFacet {
  background-color: $select_stroke-color;
  color: white;
}

.no_break {
  white-space: nowrap;
}

.facetOption:hover {
  cursor: default;
  background-color: $select_fill-color;
}
.selet-all{
  min-width: 6em;
}
//loading animation

.loader {
  bottom: 0;
  height: 100px;
  left: 0;
  margin: auto;
  position: absolute;
  right: 0;
  top: 0;
  width: 30em;
  text-align: center;
}
@keyframes draw {
  from {
    stroke-dashoffset: 2000;
  }

  to {
    stroke-dashoffset: 0;
  }
}

.stroke {
  // stroke-dashoffset: 1000;
  animation: draw 2s linear infinite;
  stroke-dasharray: 2000;
  stroke-linecap: round;
}

.heatmap {
  padding-left: 7em;
  padding-top: 1em;
  // margin-left: 5em;
}

.search_row {
  align-items: center;
  display: flex;
  flex-direction: row;
  justify-content: center;
  margin-top: 0.5em;
  width: 100%;

  & button {
    position: relative;
    vertical-align: middle;
    height: 100%;
    margin-bottom: 0.5em;
    margin-right: 0.25em;
    // margin-bottom: 1em;
  }
}

a.detail_link {
  color: white;
}

.btn-right {
  margin-left: auto;
  // width: 20em;
}

.dock {
  display: flex;
  flex-direction: column;
  height: 100%;
  /* 100% Full-height */
  width: 0;
  /* 0 width - change this with JavaScript */
  position: fixed;
  /* Stay in place */
  z-index: 1;
  /* Stay on top */
  top: 0;
  right: 0;
  overflow-x: auto;
  background-color: white; // overflow-x: auto; /* Disable horizontal scroll */
  // padding-top: 60px; /* Place content 60px from the top */
  transition: 0.5s;
  /* 0.5 second transition effect to slide in the sidenav */
  box-shadow: 0 1px 2px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
}

.dock_open {
  width: 20%;
  /* 0 width - change this with JavaScript */
  overflow-x: hidden;

  & .list-group {
    overflow-y: scroll;
  }
  & .list-group-item{
    padding-right: 0;
    padding-top: 0.55rem;
  }
  & .list-item {
    min-height: 100%;
  }

  & .button_row {
    margin-bottom: 0.75em;
  }
}

.slide_content_open {
  margin-right: 20%;
}

dl:not(.single_column) {
  margin: 0.5em;
  // columns: 2; //($cardwidth / 2) - 6em ;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.single_column {
  margin: 0.5em;
}

dt {
  color: #949494;
  font-weight: lighter;
  font-size: 8pt;
  text-align: left;
  margin-bottom: -0.4em;
}

dl dd {
  overflow: hidden;
  text-align: left;
  word-break: normal;
  -webkit-column-break-inside: avoid;
  page-break-inside: avoid;
  break-inside: avoid;
  line-height: 1.2;
  margin-bottom: 0;
  // }
}

.dict_wrapper {
  // display: inline-block;
  flex-grow: 1;
  min-width: 50%;
}

.pagination a {
  // align-self: center;
  cursor: pointer;
}

.hidden {
  display: none;
}

button.close {
  margin-left: auto;
  // cursor: pointer;
}
.series-element-enter {
  opacity: 0.01;
}

.series-element-enter.series-element-enter-active {
  opacity: 1;
  transition: opacity 500ms ease-in;
}

.series-element-leave {
  opacity: 1;
}

.series-element-leave.series-element-leave-active {
  opacity: 0.01;
  transition: opacity 300ms ease-in;
}
.clamp-lines__button{
  border: none;
  text-decoration: underline;
  background: none;
  // cursor: pointer;
  padding: 0;
  color: $cell_border-color_inactive;
  &:hover{
    color: black;
  }
  &:focus{
    outline: none;
  }
}
.loading-text{
  margin-left: 3em;
}
text.hovered {
  font-weight: bold;
  fill: $select_stroke-color;
}
text.label{
  cursor: pointer;
}
.next-series{
  background-color: $series-color;
  width: 100%;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  border-color: $series-color;
}